#include <stdlib.h>
#include <stdint.h>
#include <stdio.h>
#include <string.h>
#include <fcntl.h>

#include "ssc32.h"
#include "servo.h"

void
comm_open(char ssc32_device[255]) {
}

void
comm_close() {
}

void
comm_update_servos(uint16_t time) {
   int i,fd;
   char cmd[255] ="";

   fd=open("/tmp/servodata",O_WRONLY|O_CREAT|O_TRUNC,0700);
   if(fd!=-1) {
      write(fd,servo_angle,sizeof(servo_angle));
      close(fd);
   }

   fd=open("/tmp/servodata_ssc32",O_RDWR|O_CREAT|O_TRUNC|O_APPEND,0700);
   if(fd!=-1) {
      for(i=0;i<NUM_SERVOS;i++) {
      sprintf (cmd+8*i,"%c%02d%c%04d",CMD_SET_SERVOS,servo_port[i],CMD_SET_SERVOS_PWM,servo_pwm[i]);
      }
      sprintf (cmd+8*NUM_SERVOS,"\n");
      write(fd,cmd,sizeof(cmd));
      close(fd);
   }
}

comm_update_servos_pwm(uint16_t time) {
}

void
comm_set_led(uint8_t led) {
}

void
comm_set_laser(uint8_t led) {
}

