//#ifndef LICKS_SERVO_H
//#define LICKS_SERVO_H

#include <stdint.h>

#define NUM_SERVOS 18

extern uint16_t servo_pwm[NUM_SERVOS];        // target PWM values.
extern uint16_t servo_current_pwm[NUM_SERVOS];// current PWM values.
extern uint16_t servo_zero_pwm[NUM_SERVOS];   // zero PWM values.
extern uint16_t servo_min_pwm[NUM_SERVOS];    // min PWM values.
extern uint16_t servo_max_pwm[NUM_SERVOS];    // max PWM values.
extern float servo_angle[NUM_SERVOS];         // current servo angle
extern float servo_current_angle[NUM_SERVOS]; // current servo angle
extern float servo_min_angle[NUM_SERVOS];     // min servo angle
extern float servo_max_angle[NUM_SERVOS];     // max servo angle
extern float servo_factor[NUM_SERVOS];        // servo angle to pwm factor
extern uint8_t servo_port[NUM_SERVOS];        // servo port numbering
extern int8_t servo_direction[NUM_SERVOS];    // servo direction

extern void servo_load_offsets(char *);

//#endif
